[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: an update to automake-1.11?



On Sun, 2009-07-05 at 22:17 +0100, Richard W.M. Jones wrote:

> Why is it bad to patch configure.ac and rerun the autotools stuff?

I used to avoid re-running autotools in rpm builds because I worried
that a future autotools update would subtly screw up the build - e.g.
disabling a previously enabled feature in the built package.

These were in the days that upstream maintainers distributing tarballs
had to be very careful what versions of autotools they used - e.g. I
recall something like GNOME folks using Fedora's version of autoconf
2.52 because upstream 2.52 had broken utf-8 support[1].

Perhaps those days are gone now and autotools are much more reliable. If
upstream people who run "make dist" don't pay much attention to what
autotools versions they are using, then why should Fedora packagers care
either?

Cheers,
Mark.

[1] - I could be totally wrong on the details, but I do remember Owen
(who started this thread) pointing out the problem to GNOME maintainers


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]